# $Revision: 1.19.2.3 $, $Date: 2003/12/17 22:15:23 $
Summary:	GNOME Icon Editor
Summary(pl):	Edytor ikon dla GNOME
Name:		gnome-iconedit
Version:	1.0.6
Release:	8
License:	GPL
Group:		X11/Applications/Graphics
Group(de):	X11/Applikationen/Grafik
Group(pl):	X11/Aplikacje/Grafika
Source0:	http://www.abdn.ac.uk/~u07ih/gnome-iconedit/%{name}-%{version}.tar.gz
# Source0-md5:	98c84ce38d93e9f6036074db47ab444b
Patch0:		%{name}-gdk_pixbuf.patch
Patch1:		%{name}-cleanfiles.patch
Patch2:		%{name}-macros.patch
Patch3:		%{name}-acfix.patch
Patch4:		%{name}-desktop.patch
URL:		http://www.abdn.ac.uk/~u07ih/gnome-iconedit/
Buildrequires:	autoconf
Buildrequires:	automake
Buildrequires:	gdk-pixbuf-devel >= 0.7.0
BuildRequires:	libpng >= 1.0.8
Buildrequires:	gettext-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_sysconfdir	/etc/X11/GNOME

%description
GNOME-Iconedit is a simple icon editor for the GNOME desktop
environment. It is not as powerful as the wonderful GIMP, but has
enough features to create simple icons or cursors.

%description -l pl
GNOME-Iconedit to prosty edytor ikon dla rodowiska GNOME. Nie jest
tak potny jak wspaniay GIMP, ale moe wystarczajco duo by
tworzy proste ikony lub kursory.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
gettextize --copy --force
aclocal -I %{_aclocaldir}/gnome
autoconf
automake -a -c
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	desktopdir=%{_applnkdir}/Graphics

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*
%{_sysconfdir}/CORBA/servers/*
%{_datadir}/gnome/help/gnome-iconedit
%{_applnkdir}/Graphics/*
%{_pixmapsdir}/gnome-iconedit

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-iconedit.spec,v $
Revision 1.19.2.3  2003/12/17 22:15:23  ankry
- -acfix patch for building with ac 1.5
- -desktop patch for UTF-8 desktops
- new %doc
- rel. 8

Revision 1.19.2.2  2003/12/16 22:11:45  ankry
- md5

Revision 1.19.2.1  2003/07/11 12:01:10  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.19  2001/12/05 07:52:16  kloczek
- release 7.

Revision 1.18  2001/11/29 11:13:19  qboosh
- pl translations

Revision 1.17  2001/11/26 06:06:25  kloczek
- reelase 6.

Revision 1.16  2001/11/25 11:53:58  qrczak
- gnome-iconedit-{cleanfiles,macros}.patch: automake and autoconf fixes

Revision 1.15  2001/03/03 14:31:40  kloczek
- release 5,
- regenerate am/ac files for allow build in automake > 1.4 enviroment,
- rebuild on new gnome-libs linked with audiofile 0.2.1.

Revision 1.14  2001/02/02 17:50:34  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.13  2000/10/27 07:20:25  kloczek
- release 4: rebuild against gnome-libs linked with db3.

Revision 1.12  2000/09/30 21:29:50  kloczek
- release 3: adapterized.

Revision 1.11  2000/07/28 13:57:25  zagrodzki
- release 2, built against libpng >= 1.0.8

Revision 1.10  2000/06/09 07:54:41  kloczek
- more %%{__make} macros.

Revision 1.9  2000/06/09 07:22:51  kloczek
- added using %%{__make} macro.

Revision 1.8  2000/05/16 20:51:41  kloczek
- spec adapterized.

Revision 1.7  2000/05/06 16:26:14  kloczek
- release 2,
- added gdk_pixbuf patch for compiling gnome-iconedit against gdk-pixbuf
  0.7.0.

Revision 1.6  2000/04/01 11:14:38  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:54:18  baggins
- translated kloczkish into english

Revision 1.4  2000/02/25 06:23:02  kloczek
- updated to 1.0.6.

Revision 1.3  2000/02/09 21:13:51  kloczek
- added missing %%{_sysconfdir}/CORBA/servers/* (without this gnome-iconedit
  fails on start - thanks to author gnome-iconedit).

Revision 1.2  2000/02/09 20:15:34  kloczek
- updated to 1.0.5,
- changed group to X11/Applications/Graphics.

Revision 1.1  2000/01/29 13:59:21  kloczek
- first version.
